{
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-23.11";
    home-manager = {
      inputs.nixpkgs.follows = "nixpkgs";
      url = "github:nix-community/home-manager/release-23.11";
    };
    project-manager = {
      inputs.nixpkgs.follows = "nixpkgs";
      url = "git+https://git.disroot.org/lwad/project-manager.git";
    };
  };
  outputs = { nixpkgs, ... }@inputs: {
    nixosConfigurations = {
      akame = nixpkgs.lib.nixosSystem {
        system = "x86_64-linux";
        specialArgs = { inherit inputs; };
        modules = [
          ./configuration.nix
          ./akame
          inputs.home-manager.nixosModules.default
        ];
      };
      asuna = nixpkgs.lib.nixosSystem {
        system = "x86_64-linux";
        specialArgs = { inherit inputs; };
        modules = [
          ./configuration.nix
          ./asuna
          inputs.home-manager.nixosModules.default
        ];
      };
      ryuko = nixpkgs.lib.nixosSystem {
        system = "x86_64-linux";
        specialArgs = { inherit inputs; };
        modules = [
          ./configuration.nix
          ./ryuko
          inputs.home-manager.nixosModules.default
        ];
      };
      shinobu = nixpkgs.lib.nixosSystem {
        system = "x86_64-linux";
        specialArgs = { inherit inputs; };
        modules = [
          ./configuration.nix
          ./shinobu
          inputs.home-manager.nixosModules.default
        ];
      };
    };
  };
}
