{ config, lib, pkgs, ... }:

with lib; {
  options.lwad.applications.btop.enable = mkEnableOption "btop";
  config = let cfg = config.lwad.applications.btop.enable;
  in {
    home-manager.users.${config.lwad.definitions.username}.programs.btop =
      mkIf cfg {
        enable = true;
        package = pkgs.btop;
        settings = {
          disks_filter = "/ /boot/efi";
          proc_tree = true;
          theme_background = false;
          truecolor = false;
          update_ms = 100;
          vim_keys = true;
        };
      };
  };
}
