{ config, lib, ... }:

with lib; {
  options.lwad.applications.i3.autoRun = {
    always = mkOption {
      default = [ ];
      description = "Commands to run on each reload.";
      type = types.listOf types.str;
    };
    startup = mkOption {
      default = [ ];
      description = "Commands to run on startup.";
      type = types.listOf types.str;
    };
  };
  config.home-manager.users.${config.lwad.definitions.username}.xsession.windowManager.i3.config.startup =
    let cfg = config.lwad.applications.i3.autoRun;
    in (map (command: {
      always = true;
      inherit command;
      notification = false;
    }) cfg.always) ++ (map (command: {
      inherit command;
      notification = false;
    }) cfg.startup);
}
