{ config, lib, pkgs, ... }:

with lib; {
  options.lwad.applications.i3.backlight.enable =
    mkEnableOption "backlight controls";
  config.home-manager.users.${config.lwad.definitions.username}.xsession.windowManager.i3.config.keybindings =
    mkIf config.lwad.applications.i3.backlight.enable
    (let light = "${pkgs.light}/bin/light";
    in {
      "XF86MonBrightnessUp" = "exec --no-startup-id ${light} -A 1";
      "XF86MonBrightnessDown" = "exec --no-startup-id ${light} -U 1";
    });
}
