{ config, lib, ... }:

with lib; {
  options.lwad.applications.i3.outputWorkspaceMappings = mkOption {
    default = { };
    description = "Map workspace to outputs.";
    type = types.attrsOf (types.listOf types.ints.unsigned);
  };
  config.home-manager.users.${config.lwad.definitions.username}.xsession.windowManager.i3.config.workspaceOutputAssign =
    sort (f: s: f.workspace < s.workspace) (flatten (mapAttrsToList
      (output: workspaces:
        map (workspace: {
          inherit output;
          workspace = fixedWidthNumber 2 workspace;
        }) workspaces) config.lwad.applications.i3.outputWorkspaceMappings));
}
