{ config, lib, pkgs, ... }:

with lib; {
  options.lwad.applications.kmscon.enable = mkEnableOption "kmscon";
  config = mkIf config.lwad.applications.kmscon.enable {
    services.kmscon = {
      enable = true;
      extraConfig = ''
        xkb-layout=gb
        xkb-options=caps:escape
      '';
      fonts = [{
        name = "FiraCode Nerd Font";
        package = (pkgs.nerdfonts.override { fonts = [ "FiraCode" ]; });
      }];
      hwRender = true;
    };
    programs.tmux.extraConfig = mkIf config.lwad.applications.projectManager.enable ''
      bind -n m-k run-shell -b "light -A 1"
      bind -n m-j run-shell -b "light -U 1"
    '';
  };
}
