local luasnip = require("luasnip")
local luasnip_loaders = require("luasnip.loaders.from_vscode").lazy_load()
luasnip.config.set_config({
  history = true,
  updateevents = "TextChanged,TextChangedI",
  enable_autosnippets = true,
})

local cmp = require("cmp")
cmp.setup {
  mapping = {
    ["<c-k>"] = cmp.mapping.select_prev_item(),
    ["<c-j>"] = cmp.mapping.select_next_item(),
    ["<c-Space>"] = cmp.mapping.confirm({ select = true }),
    ["<c-c>"] = cmp.mapping(cmp.mapping.complete(), { 'i', 'c' }),
    ["<c-n>"] = cmp.mapping(function(fallback)
      if luasnip.expand_or_jumpable() then
        luasnip.expand_or_jump()
      else
        fallback()
      end
    end, { 'i', 's' })
  },
  snippet = {
    expand = function(args)
      luasnip.lsp_expand(args.body)
    end,
  },
  sources = { { name = "luasnip" }, { name = "nvim_lsp" }, { name = "path" }, { name = "buffer" }, },
  window = { documentation = cmp.config.window.bordered(), },
}
