vim.opt.splitright = true
vim.opt.splitbelow = true

vim.opt.tabstop = 2
vim.opt.softtabstop = 2
vim.opt.shiftwidth = 2
vim.opt.expandtab = true
vim.g.markdown_recommended_style = 0
vim.opt.smartindent = true

vim.g.mapleader = " "
vim.g.maplocalleader = " "

vim.keymap.set("v", "p", "\"_dP", {})

vim.keymap.set("v", ">", ">gv", {})
vim.keymap.set("v", "<", "<gv", {})

vim.keymap.set("t", "<esc>", "<c-\\><c-n>", {})

vim.api.nvim_create_autocmd({"BufReadPre"}, {
  pattern = {"*.png", "*.jpg", "*.pdf"},
  command = "silent !xdg-open '%' & disown",
})
vim.api.nvim_create_autocmd({"BufReadPost"}, {
  pattern = {"*.png", "*.jpg", "*.pdf"},
  command = "bdelete",
})

vim.opt.undofile = true
local path = os.getenv("NVIM_UNDODIR")
if path == nil then
  local state_home = os.getenv("XDG_STATE_HOME")
  if state_home == nil then
    state_home = vim.fn.expand("~") .. "/.local/state"
  end
  path = state_home .. "/nvim/undo/"
end
vim.opt.undodir = path
