{ config, lib, ... }:

with lib; {
  options.lwad.applications.starship.enable = mkEnableOption "starship";
  config.programs.starship = mkIf config.lwad.applications.starship.enable {
    enable = true;
    settings = {
      add_newline = false;
      character = {
        success_symbol = "[\\$](white)";
        error_symbol = "[\\$](bold fg:160)";
      };
      directory = {
        home_symbol = "home";
        read_only = "";
        read_only_style = "fg:243";
        repo_root_style = "purple";
        style = "fg:243";
        truncation_length = 5;
      };
      shlvl = {
        disabled = false;
        format = " ";
        threshold = 2;
      };
      format = ''
        $shlvl$directory$git_branch$git_status$nix_shell
        $character'';
      git_branch = {
        format = "[\\($branch\\)]($style)";
        ignore_branches = [ "master" "main" ];
        style = "purple";
      };
      git_status = {
        format =
          "([$conflicted$deleted$renamed$modified$staged$untracked$ahead_behind]($style))";
        style = "purple";
      };
      line_break.disabled = true;
      nix_shell = {
        format = "$symbol";
        heuristic = false;
        symbol = "󱄅";
      };
    };
  };
}

