{ config, lib, pkgs, ... }:

with lib; {
  options.lwad.applications.ytdlp.enable = mkEnableOption "ytdlp";
  config.programs.bash.interactiveShellInit =
    mkIf config.lwad.applications.ytdlp.enable ''
      get-music() {
        ${pkgs.yt-dlp}/bin/yt-dlp \
          --force-ipv4 \
          --concurrent-fragments 4 \
          --paths "/tmp" \
          --output "%(album)s/%(playlist_index)s-%(title)s.%(ext)s" \
          --restrict-filenames \
          --embed-metadata \
          --embed-thumbnail \
          --yes-playlist \
          --extract-audio \
          --audio-format mp3 \
          "$1"
      }
    '';
}
