{ config, lib, ... }:

with lib; {
  options.lwad.bootLoader.enable = mkOption {
    default = true;
    description = "Whether to enable systemd-boot.";
    type = types.bool;
  };
  config.boot.loader = let cfg = config.lwad.bootLoader.enable;
  in mkMerge (flatten [
    (optional cfg {
      efi = {
        canTouchEfiVariables = true;
        efiSysMountPoint = "/boot/efi";
      };
      systemd-boot = {
        editor = false;
        enable = true;
      };
      timeout = 2;
    })
    { grub.enable = false; }
  ]);
}
