{ config, lib, ... }:

with lib; {
  options.lwad.filesystems.btrfs.compressDrives = mkOption {
    default = [ ];
    description = "List of existing btrfs drive mount locations.";
    type = types.listOf types.str;
  };
  config.fileSystems = let cfg = config.lwad.filesystems.btrfs.compressDrives;
  in genAttrs cfg (_: { options = [ "compress=zstd" "space_cache=v2" ]; });
}
