{ config, lib, ... }:

with lib; {
  options.lwad.filesystems.simple.enable = mkEnableOption "simple filesystem config";
  config.fileSystems = let cfg = config.lwad.filesystems.simple.enable;
  in mkIf cfg {
    "/".options = [ "noatime" "nodiratime" ];
    "/boot/efi".options = [ "noatime" "nodiratime" ];
    "/mnt/external" = {
      device =
        "/dev/disk/by-id/usb-Kingston_DT_microDuo_001A4D5D52A8BEB11991A332-0:0-part1";
      fsType = "btrfs";
      options = [
        "noatime"
        "noauto"
        "nodiratime"
        "nofail"
        "compress=zstd"
        "x-systemd.automount"
        "x-systemd.device-timeout=2s"
        "x-systemd.mount-timeout=2s"
        "x-systemd.idle-timeout=10s"
      ];
    };
  };
}
