{ config, lib, ... }:

with lib; {
  options.lwad.groups.terminalApplications.enable =
    mkEnableOption "some useful terminal applications";
  config.lwad.applications =
    mkIf config.lwad.groups.terminalApplications.enable {
      btop.enable = true;
      git.enable = true;
      kmscon.enable = true;
      starship.enable = true;
      task = {
        categories = [ "learn" "uni" "life" ];
        dataDir =
          config.home-manager.users.${config.lwad.definitions.username}.home.homeDirectory
          + "/Documents/tasks";
        enable = true;
      };
      ytdlp.enable = true;
    };
}
