{ config, lib, pkgs, ... }:

with lib; {
  options.lwad.services.mariadb.enable = mkEnableOption "mariadb";
  config.services.mysql = let cfg = config.lwad.services.mariadb.enable;
  in mkIf cfg {
    enable = true;
    package = pkgs.mariadb;
    ensureUsers = [{
      name = config.lwad.definitions.username;
      ensurePermissions."*.*" = "ALL PRIVILEGES";
    }];
  };
}
