{ config, lib, pkgs, ... }:

with lib; {
  options.lwad.utilities.btrbk.server.enable = mkEnableOption "btrbk server";
  config = let cfg = config.lwad.utilities.btrbk.server.enable;
  in mkIf cfg {
    services.btrbk.sshAccess = [{
      key = "";
      roles = [ "delete" "source" ];
    }];
    systemd.tmpfiles.rules = [ "v /backups 700 root root" ];
    users.users.btrbk.packages = with pkgs; [ mbuffer zstd ];
  };
}
